Can anyone help me configure this user authorization for php.4.0 because it doesn't work on the server that I am running it on. I think that I am suppose to add $SERVER to it but I do not know how to write the correct syntax for it. Here is a sample of my script. This configuration does not work.

<?
require("config.php");
// admin interface
$dbh = mysql_connect ($conf[dbhost], $conf[dbuser], $conf[dbpass]) or die (mysql_error());
mysql_select_db ($conf[dbname]);
if ((!isset($PHP_AUTH_USER)) || (!isset($PHP_AUTH_PW)) || ($PHP_AUTH_USER != $conf[adminuser]) || ($PHP_AUTH_PW != $conf[adminpass])) {
header('WWW-Authenticate: Basic realm="Private Area"');
header("HTTP/1.1 401 Unauthorized");
print "This page requires authorisation.";
exit();
} else {
if(!$mode) {

$sql = "SELECT * FROM `people`";
$pr = mysql_query($sql);
$ctne = '';
while ($row=mysql_fetch_array($pr)) {
$ctne .= "<b>".$row[name]."</b> - ".$row[email]." [".$row[amount]."] <a href=\"admin.php?mode=delete&id=".$row[id]."\">Remove</a><br>\n";
}

If antone can help me with this Thanks in advance
ronnie173